2015/12/17

yum install 時のエラー

Cent OS 7で「yum install ***」を実行したときに、
以下の様なエラーが出た場合。

ここから----------------------------------------------
# sudo yum install -y squid
読み込んだプラグイン:fastestmirror, langpacks

You have enabled checking of packages via GPG keys. This is a good thing.
However, you do not have any GPG public keys installed. You need to download
the keys for packages you wish to install and install them.
You can do that by running the command:
rpm --import public.gpg.key


Alternatively you can specify the url to the key you would like to use
for a repository in the 'gpgkey' option in a repository section and yum
will install it for you.

For more information contact your distribution or package provider.

問題のリポジトリー: vmware-tools
----------------------------------------------ここまで

この場合は、以下のコマンドでGPGキーをインストールする。
----------------------------------------------
rpm --import http://apt.sw.be/RPM-GPG-KEY.dag.txt
rpm -ivh http://pkgs.repoforge.org/rpmforge-release/rpmforge-release-0.5.3-1.el7.rf.x86_64.rpm
----------------------------------------------

インストールの確認は
rpm -q rpmforge-release

(参考)http://qiita.com/m2wasabi/items/57ee6663e5de653870ff

関連記事






Linuxコマンド | Comments(0) | Trackback(0)
Comment

管理者のみに表示